[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#688244: unblock: beanstalkd/1.7-1

Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock


The beanstalkd version in testing (1.4.6) is FTBFS (#687402) since libevent
was upgraded from 1.4 to 2.0.

Meanwhile beanstalkd 1.5 was released and dropped the libevent dependency all
together, but didn't make it to testing in time for the freeze because of
failing tests (which have been fixed post-freeze).

Since upstream has dropped libevent as a dependency, they're not interested in
porting beanstalkd 1.4.6 to libevent 2.0, so the release team is called to
choose between:

- drop beanstalkd in wheezy

- grant an exception to unblock beanstalkd 1.7 (1.6 & 1.7 were bug-fixing
  releases; 1.7-1 is in sid and builds fine on all arches)

I understand that there's no excuse for not having seen this coming before the
long-announced freeze date, so I won't argue against the first option.

Having said that, beanstalkd is a leaf package with a small popcon.


ps. I've opted to spare you the debdiff for obvious reasons:
 137 files changed, 6436 insertions(+), 16240 deletions(-)

Reply to: